Bug 124213 - Clean out games menu in default installs
Clean out games menu in default installs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: design (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Nickell
bzcl34nup
:
Depends On: 140415 140417 140418
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 15:02 EDT by Ricky Ng-Adam
Modified: 2008-05-06 19:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2004-05-24 15:02:24 EDT
Description of problem:

Navigating the menus, I found them relatively well organized althought
I think there is just too many items in some, such as Games.  I feel
the UI rule of thumb of 5-7 items per level in menus should be
respected, especially when some of the games provided are substandard
or require a not-very-often properly configured 3d card (TuxRacer).

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Standard workstation install
2. Think of a task to do
3. Hunt down the program in the menus
  
Actual results:

Discover how much extra time to hunt down programs

Expected results:

Short, well organized menus with 5-7 items each (minimum 3).  When a
program is added and this limit is exceeded, the menu is reorganized
intelligently.

Very best game selection only.

Additional info:
Comment 1 Seth Nickell 2004-11-01 12:03:56 EST
We should clean out the games menu. Re-assigning to design component.
Comment 2 Seth Nickell 2004-11-03 18:57:04 EST
So our current thinking is to include the following by default:

  - Monkey Bubble
  - Neverball
  - Tuxracer
  - Iagno
  - Mahjongg
Comment 3 Seth Nickell 2004-11-22 15:31:58 EST
Broke out adding Monkey Bubble & Neverball as separate bugs: #140415
and #140417
Comment 4 Bryan W Clark 2004-12-22 13:09:42 EST
Yes!  Bill is apart of the solitaire cabal, this will probably lose my hold on
keeping Mahjongg :-)

  - Monkey Bubble
  - Neverball
  - Tuxracer
  - Iagno
  - Mahjongg
  - Solitaire Games
Comment 5 Ricky Ng-Adam 2005-02-09 15:23:30 EST
I noticed that my suggestion to remove all 3d games was ignored.  Are the games
going to be modified so that they are able to autodetect and say "Your video
card does not seem to support 3D correctly, are you sure you want to run this?"
as it is more often the case than not that the 3d video card are not properly
configured?

Plus, I just installed Fedora Core 3 at work and someone pointed out "Why do you
have games installed if you select Workstation install?".  I think this comment
makes sense: shouldn't games only be installed on a Personal Desktop and not a
WORKstation?  Wouldn't most companies prefer their employees not play games on
their WORKstation?
Comment 6 vossman 2006-12-20 15:02:20 EST
I think KDE games and GNOME games need their own folders. I've been doing this
using alacarte, but it should come as a default
Comment 7 Ricky Ng-Adam 2007-04-28 13:40:42 EDT
FC7 test 4 still has 16 games in the Games menu when booting as live CD. 

A good thing is that none of these games require a 3d graphic cards.

At first glance:

-Some of these games I feel are of substandard quality or not simple enough for
quick games (Nibbles, Robots, Klotski, Iagno, Tali). 

-Some seem only variant on the same theme [Same GNOME, Five or More, Four-in-a-row] 

-Klondike and Freecell appear twice in the menu, but they are the same app

From these, I would only keep 

-Mines
-GNOME Sudoku, 
-Chess
-Freecell solitaire/Klondike, 
-Mahjongg
-Tetravex
-Same GNOME. 

I think these seven games easy to play, nice and cover a sufficient variety of
gameplay.

Objectively, we could probably look at a site such as The Linux Game Tome
(http://www.happypenguin.org/) to compare ratings, but at the moment that site
seems slow...
Comment 8 Ricky Ng-Adam 2007-12-28 13:30:55 EST
Fedora 8 has now 17 games with the addition of GnomeFallingBlocks, a poorly made
Tetris. Otherwise, comment #7 still applies.  I tried looking at ratings from
happypenguin for these games, but there are insufficient ratings to make it useful.
Comment 9 Bug Zapper 2008-04-03 11:35:26 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Bug Zapper 2008-05-06 19:59:17 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.